import { RemousResults } from "app/results/remous-results";
import { acSection, CourbeRemous, CourbeRemousParams, MacroRugo, MacrorugoRemous, Props, Result, Session } from "jalhyd";
import { IObservable, MacrorugoRemousParams, Nub, Observer, Verificateur} from "jalhyd/build/internal_modules";
import { FormulaireFixedVar } from "./form-fixedvar";
import { SelectField } from "../elements/select/select-field";
import { FallbackRegistry } from "@angular-devkit/core/src/experimental/jobs";
import { FormulaireDefinition } from "./form-definition";
import { FormulaireService } from "app/services/formulaire.service";
import { ServiceFactory } from "app/services/service-factory";
import { log } from "console";
import { OnInit, DoCheck, AfterViewChecked, OnDestroy } from "@angular/core";

export class FormulaireMacrorugo extends FormulaireFixedVar {


    /** résultats de courbes de remous */

    constructor() {
        super();
        this.updateCalcResults();
    }
    
    protected updateCalcResults() {
        console.log(console.log("vurrent", this._currentNub))
        for (const n of Session.getInstance().getAllNubs()) {
            if(n instanceof MacroRugo) {
                console.log(n)
            }
            let pamRemous: MacrorugoRemous
            if (n instanceof MacrorugoRemous) {
                pamRemous = n;
                console.log(pamRemous)
                if (pamRemous !== undefined && this._currentNub !== undefined) {
                    const form = ServiceFactory.formulaireService.getFormulaireFromNubId(pamRemous.uid);
                    console.log(form)
                    form.reset()
                }     
            }
        }
    }
    protected reaffectResultComponents() {
        // const ver: MacroRugo = (this.currentNub as MacroRugo);
        this.updateCalcResults();
    }

    public resetFormResults() {
        // this._verificateurResults.reset();
        this.updateCalcResults();
    }
}
